---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Class Members - Typedefs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li class="current"><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="#index_c"><span>c</span></a></li>
      <li class="current"><a href="#index_p"><span>p</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>ConstPtr
: <a class="el" href="classtgui_1_1BoxLayout.html#ae9645ff0b85ebd2fe53854c33bc2fe21">tgui::BoxLayout</a>
, <a class="el" href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">tgui::Button</a>
, <a class="el" href="classtgui_1_1Canvas.html#abfed009a388213216d66922d88f524f5">tgui::Canvas</a>
, <a class="el" href="classtgui_1_1ChatBox.html#a537c029e81189e1e8624cded0cf9d0cd">tgui::ChatBox</a>
, <a class="el" href="classtgui_1_1CheckBox.html#a3cb61b44e34cea051121fc9b2ea325b9">tgui::CheckBox</a>
, <a class="el" href="classtgui_1_1ChildWindow.html#ac017e8d96f214d5cc79d68752e22c0eb">tgui::ChildWindow</a>
, <a class="el" href="classtgui_1_1ClickableWidget.html#aec51a79d5e43d6f90fee0e6aed43b46e">tgui::ClickableWidget</a>
, <a class="el" href="classtgui_1_1ComboBox.html#adc20217bb65fe583580e9b27e6d4ac42">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1Container.html#ae65ad0ac55fcbe3416745dab9b2a2fe5">tgui::Container</a>
, <a class="el" href="classtgui_1_1EditBox.html#aaa12c59c7d5a3e48d164ef9835363ca9">tgui::EditBox</a>
, <a class="el" href="classtgui_1_1Grid.html#ae5c312f8060724b3e9eacd77a7da0f3c">tgui::Grid</a>
, <a class="el" href="classtgui_1_1HorizontalLayout.html#a623a9fbb2dc7244cd46117399021c8c8">tgui::HorizontalLayout</a>
, <a class="el" href="classtgui_1_1Knob.html#a1b219ac9f1edeb01b004e2f76a2a8b76">tgui::Knob</a>
, <a class="el" href="classtgui_1_1Label.html#a9140ba27993e8a6fe9d2a48935d8d62d">tgui::Label</a>
, <a class="el" href="classtgui_1_1ListBox.html#a4054d6cc0bf4d525325a65d7bbdb80f0">tgui::ListBox</a>
, <a class="el" href="classtgui_1_1MenuBar.html#a4c2c1196edadf438698357bce645b3ee">tgui::MenuBar</a>
, <a class="el" href="classtgui_1_1MessageBox.html#acbdd7dfde37633cf9c7bf37398580819">tgui::MessageBox</a>
, <a class="el" href="classtgui_1_1Panel.html#aef7fc1702180fe4dde12459be15c064d">tgui::Panel</a>
, <a class="el" href="classtgui_1_1Picture.html#a4f3022e53031b876ee3bafc2cb917bb5">tgui::Picture</a>
, <a class="el" href="classtgui_1_1ProgressBar.html#a545bd48fbf73e6713b7128d4cc8f8085">tgui::ProgressBar</a>
, <a class="el" href="classtgui_1_1RadioButton.html#a5c6e1e161afd615a849d0c28ddd60362">tgui::RadioButton</a>
, <a class="el" href="classtgui_1_1Scrollbar.html#acbe5759d44c274fb000f00d9a6834255">tgui::Scrollbar</a>
, <a class="el" href="classtgui_1_1Slider.html#a901ec6d915f6985b2e5deeb9716ae114">tgui::Slider</a>
, <a class="el" href="classtgui_1_1SpinButton.html#a1fbe72f6d6f69c8ab63e0b98b3566d17">tgui::SpinButton</a>
, <a class="el" href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">tgui::Tab</a>
, <a class="el" href="classtgui_1_1TextBox.html#ad7d0bc602e4b981f73212a0f7709cead">tgui::TextBox</a>
, <a class="el" href="classtgui_1_1VerticalLayout.html#a3748693f6b08d58a8b8c33189d7cd377">tgui::VerticalLayout</a>
, <a class="el" href="classtgui_1_1Widget.html#aeaa9564fad89042e53af59e7a0063b1f">tgui::Widget</a>
</li>
</ul>


<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>Ptr
: <a class="el" href="classtgui_1_1BoxLayout.html#a03238b2d7a6b398721e32dba5852c9d4">tgui::BoxLayout</a>
, <a class="el" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">tgui::Button</a>
, <a class="el" href="classtgui_1_1Canvas.html#ac12db2e44390c3b6974a556f6b2a88c3">tgui::Canvas</a>
, <a class="el" href="classtgui_1_1ChatBox.html#aaa36242b970d5f511390009192acf76a">tgui::ChatBox</a>
, <a class="el" href="classtgui_1_1CheckBox.html#a27eceefb72290e57ce936c788b183814">tgui::CheckBox</a>
, <a class="el" href="classtgui_1_1ChildWindow.html#a5135c949483bf6a1a4320bd7ea93f522">tgui::ChildWindow</a>
, <a class="el" href="classtgui_1_1ClickableWidget.html#a6ac85e9df673fe1f4c012ad21199b6b0">tgui::ClickableWidget</a>
, <a class="el" href="classtgui_1_1ComboBox.html#a7ad91fc193903c07b9a9a387bef29546">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1Container.html#a3ba93c97385be1c09c518b22951a3208">tgui::Container</a>
, <a class="el" href="classtgui_1_1EditBox.html#ae987a753c5b1423a932869610b08d7f8">tgui::EditBox</a>
, <a class="el" href="classtgui_1_1Grid.html#ac74ee6eb1b8416abd617a77fd430837f">tgui::Grid</a>
, <a class="el" href="classtgui_1_1HorizontalLayout.html#a4547c4b89b9a96efab1c363d1618c433">tgui::HorizontalLayout</a>
, <a class="el" href="classtgui_1_1Knob.html#a2194cf0fde7104023ed416d0228c3fa8">tgui::Knob</a>
, <a class="el" href="classtgui_1_1Label.html#aa0bc55780302197e337a6cda7f0e16df">tgui::Label</a>
, <a class="el" href="classtgui_1_1ListBox.html#a0f873523c66e1a2cbd8d9734a1de27fb">tgui::ListBox</a>
, <a class="el" href="classtgui_1_1MenuBar.html#a965965d0cd594ab2b7365f73eefb26f5">tgui::MenuBar</a>
, <a class="el" href="classtgui_1_1MessageBox.html#ab606d30a516d42437d51872ce3bc0a78">tgui::MessageBox</a>
, <a class="el" href="classtgui_1_1Panel.html#a34b136a7d90420e28a8f4aa66a58f9d0">tgui::Panel</a>
, <a class="el" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture</a>
, <a class="el" href="classtgui_1_1ProgressBar.html#a7c1a8162626327b9ac5c430014709700">tgui::ProgressBar</a>
, <a class="el" href="classtgui_1_1RadioButton.html#a260ab055c868daae180213d73f632a85">tgui::RadioButton</a>
, <a class="el" href="classtgui_1_1Scrollbar.html#abb6fe6c3e98166c60f43ef95536effb3">tgui::Scrollbar</a>
, <a class="el" href="classtgui_1_1Slider.html#a1140cd200a988fa36d7c8112e7ce1a6c">tgui::Slider</a>
, <a class="el" href="classtgui_1_1SpinButton.html#a2b70e7b4ef4b47eac18f6d049d1c19d3">tgui::SpinButton</a>
, <a class="el" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">tgui::Tab</a>
, <a class="el" href="classtgui_1_1TextBox.html#a106cd64130b5cdff7dfb42280f7e5b70">tgui::TextBox</a>
, <a class="el" href="classtgui_1_1Theme.html#a6428ad1bf9c7b651f42e4863a91b82bf">tgui::Theme</a>
, <a class="el" href="classtgui_1_1VerticalLayout.html#a0fc2b3187bc1d81952610e033a44badc">tgui::VerticalLayout</a>
, <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget</a>
</li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:48 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
